uk.gov.hmrc.wco.dec.inventorylinking

# common

#### package common

Visibility

1. Public
2. All

### Type Members

1. #### case class AgentDetails(eori: Option[String] = None, agentLocation: Option[String] = None, agentRole: Option[String] = None) extends Product with Serializable

2. #### case class EntryStatus(ics: Option[String], roe: Option[String], soe: Option[String]) extends Product with Serializable

3. #### case class GoodsItem(commodityCode: Option[Int], totalPackages: Option[Int], totalNetMass: Option[BigDecimal]) extends Product with Serializable

4. #### case class TransportDetails(transportID: Option[String] = None, transportMode: Option[String] = None, transportNationality: Option[String] = None) extends Product with Serializable

5. #### case class UcrBlock(ucr: String, ucrType: String) extends Product with Serializable

### Ungrouped